﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace DocIO_Test
{
    /// <summary>
    /// Stream Extension class
    /// </summary>
    public static class StreamExtensions
    {
        /// <summary>
        /// Converts stream to byte []
        /// </summary>
        /// <param name="stream"></param>
        /// <returns></returns>
        public static byte[] ToByteArray(this Stream stream)
        {
            var bytes = new List<byte>();

            int b;
            while ((b = stream.ReadByte()) != -1)
                bytes.Add((byte)b);

            return bytes.ToArray();
        }
    }
}
